Package: org.grails.cli.gradle.commands

## [Groovy] Class ReadGradleTasks

- org.grails.cli.gradle.commands.ReadGradleTasks

-     @groovy.transform.CompileStatic
      class ReadGradleTasks
      extends ListReadingCachedGradleOperation<java.lang.String>

  Authors:
    Graeme Rocher

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static groovy.lang.Closure<java.lang.String>` | `taskNameFormatter` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ReadGradleTasks (ProjectContext projectContext)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.lang.String` | `createListEntry(java.lang.String str)`
    `` | `java.util.List<java.lang.String>` | `readFromGradle(org.gradle.tooling.ProjectConnection connection)`

- - ### Field Detail

    - #### private static final groovy.lang.Closure<java.lang.String> taskNameFormatter

  - ### Constructor Detail

    - #### ReadGradleTasks(ProjectContext projectContext)

  - ### Method Detail

    - #### @java.lang.Override protected java.lang.String createListEntry(java.lang.String str)

    - #### @java.lang.Override java.util.List<java.lang.String> readFromGradle(org.gradle.tooling.ProjectConnection connection)